# File: /etc/apache2/sites-available/default-letsencrypt-site.conf
# INCOMPLETE!
# enable with `a2ensite default-letsencrypt-site`
# also see moz://a ssl configurator
# this configuration requires mod_ssl, mod_socache_shmcb, mod_rewrite, and mod_headers
<VirtualHost *:80>
	RewriteEngine On
	RewriteRule ^(.*)$ https://%{HTTP_HOST}$1 [R=301,L]
</VirtualHost>

<VirtualHost *:443>
	SSLEngine on
	SSLCertificateFile /etc/letsencrypt/live/{{ servername }}/fullchain.pem
	SSLCertificateKeyFile /etc/letsencrypt/live/{{ servername }}/privkey.pem

	Alias "/.well-known" "/var/www/letsencrypt/.well-known"
	<Directory /var/www/letsencrypt/.well-known>
		Options -MultiViews
		Require all granted
	</Directory>

	# enable HTTP/2, if available
	Protocols h2 http/1.1
</VirtualHost>

